KDE 4.7 PyKDE API Reference

- KDE's Python API

# BackendSetting Class Reference

`from PyKDE4.soprano import *`

Namespace: Soprano

## Detailed Description

\class BackendSetting backend.h Soprano/BackendSetting

Wraps one setting for Model creation.

A BackendSetting consists of an option type and an option value. The option type can either be a predefined value from Soprano.BackendOption or a user defined string value that depends on the Backend implementation. In the latter case option has to be set to Soprano.BackendOptionUser.

Author:
  Sebastian Trueg <trueg@kde.org>

\sa Backend.createModel()<br/>BackendSettings

## Methods
| __init__ (self)
| __init__ (self, Soprano.BackendOption option)
| __init__ (self, Soprano.BackendOption s, QVariant value_)
| __init__ (self, QString userOption, QVariant value_)
| __init__ (self, Soprano.BackendSetting other)
Soprano.BackendOption | option (self)
| setValue (self, QVariant value)
QString | userOptionName (self)
QVariant | value (self)

## Method Documentation

__init__ | ( |  | self ) |

Create an empty setting. \sa Soprano.BackendOptionNone

__init__ | ( | self, |
|  | Soprano.BackendOption | option
| ) |  |  |

Create a boolean setting with a default true value.

__init__ | ( | self, |
|  | Soprano.BackendOption | s,
|  | QVariant | value_
| ) |  |  |

Create a standard setting with option s and value value_.

__init__ | ( | self, |
|  | QString | userOption,
|  | QVariant | value_
| ) |  |  |

Create a user setting with user option name userOption and value value_.

__init__ | ( | self, |
|  | Soprano.BackendSetting | other
| ) |  |  |

Copy constructor.

Soprano.BackendOption option | ( |  | self ) |

The option that this setting sets. If Soprano.BackendOptionUser the option is identified by userOptionName().

setValue | ( | self, |
|  | QVariant | value
| ) |  |  |

Set the value of the Setting.

QString userOptionName | ( |  | self ) |

The name of the user option if option() is Soprano.BackendOptionUser.

QVariant value | ( |  | self ) |

The value of the setting.